## libksane 24.08.2

=== debian/changelog ===
libksane (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Specify building with QT6.
  * Update package names for KF6.
  * Update list of installed files from build system.
  * Remove unneeded dh_acc file.
  * Generate new libksanewidgets6-6.symbols.
  * Use dh-sequence-kf6.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Add Breaks/Replaces for libkf5sane-data.
  * Refresh copyright info.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 22:56:16 +0200

libkf5sane (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:25 +0100

libkf5sane (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:55 +0100

libkf5sane (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * Update symbols from build for 22.12.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 00:38:24 +0100

libkf5sane (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * CI: enable blhc, as it should work fine now.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 10:50:38 +0100

libkf5sane (21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Mar 2022 00:06:11 +0100

libkf5sane (21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:51:32 +0900

libkf5sane (21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:57:39 +0900

libkf5sane (21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Update symbols from 21.08.0-1 build.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 11:26:40 +0900

libkf5sane (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:51 +0900

libkf5sane (21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:58:55 +0900

libkf5sane (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.
  * Drop sane-dev from B-D.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:12:13 +0900

libkf5sane (20.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5sane-dev: Add Multi-Arch: same.

  [ Aurélien COUDERC ]
  * New upstream release (20.12.0).
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 12:21:20 +0100

libkf5sane (20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 18:37:37 +0200

libkf5sane (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.55.0
    - explicitly add gettext
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update references to the upstream repository to
    https://invent.kde.org/graphics/libksane.
  * Generate the kde-l10n breaks only for arch:all packages.
  * Do not install the upstream README.md as documentation for libkf5sane-data,
    as it provide no useful content.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 10:39:52 +0200

libkf5sane (19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.55.0
  * Update symbols file.

  [ Helmut Grohne ]
  * Mark libkf5sane-data Multi-Arch: foreign. (Closes: #887314)
  * Mark libkf5sane{5,-dev} Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 08:57:42 +0200



=== debian/control ===
Source: libksane
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libksanecore-dev (>= 24.05~),
               libsane-dev,
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/libksane
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git

Package: libksane-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: libkf5sane-data,
Replaces: libkf5sane-data,
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libksane-dev
Section: libdevel
Architecture: any
Depends: libksanewidgets6-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Multi-Arch: same
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

Package: libksanewidgets6-6
Architecture: any
Multi-Arch: same
Depends: libksane-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

## libksane 24.12.0

=== debian/changelog ===
libksane (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 16:23:31 +0100

libkf5sane (23.04.3-1) UNRELEASED; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (23.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 Jul 2023 12:56:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16.0~),
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6textwidgets-dev (>= 5.240.0~),
-               libkf6wallet-dev (>= 5.240.0~),
-               libkf6widgetsaddons-dev (>= 5.240.0~),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6wallet-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.0.0~),
                libksanecore-dev (>= 24.05~),
                libsane-dev,
                libx11-dev,

## libksane 24.12.1

=== debian/changelog ===
libksane (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:13:03 +0000

libksane (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:23:34 +0000

libksane (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:23 +0000

libksane (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 19:23:17 +0000

libksane (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:48:06 +0000

libksane (24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 09:34:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libksane
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16.0~),
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6textwidgets-dev (>= 6.0.0~),
-               libkf6wallet-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.05~),
+               libkf6i18n-dev (>= 5.240.0~),
+               libkf6textwidgets-dev (>= 5.240.0~),
+               libkf6wallet-dev (>= 5.240.0~),
+               libkf6widgetsaddons-dev (>= 5.240.0~),
+               libksanecore-dev (>= 24.12.1~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,
@@ -23,8 +24,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
 
 Package: libksane-data
 Architecture: all

## libksane 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSane VERSION ${RELEASE_SERVICE_VERSION})

message(STATUS "-------------------------------------------")
message(STATUS "Starting CMake configuration for: libksane")

set(QT_REQUIRED_VERSION "6.4.0")
set(KF_MIN_VERSION "6.0.0")

# ECM setup (Extended Cmake Modules)
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${KSane_SOURCE_DIR}/cmake-modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(ECMGenerateExportHeader)
include(ECMQtDeclareLoggingCategory)

set(KSANEWIDGETS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KSaneWidgets6")
set(KSANEWIDGETS_CMAKECONFIG_NAME "KSaneWidgets6")
set(LIBRARYFILE_NAME "KSaneWidgets6")
set(TARGET_EXPORT_NAME "KSaneWidgets6")
set(TARGET_EXPORT_NAMESPACE_NAME "")
set(SOVERSION 6)
set(KSANECORE_NAME "KSaneCore6")
set(KSANECORE_TARGET "KSane6::Core")

set(ksane_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ksane_version.h")
ecm_setup_version(
  ${RELEASE_SERVICE_VERSION}
  VARIABLE_PREFIX KSANE
  VERSION_HEADER "${ksane_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}ConfigVersion.cmake"
  SOVERSION ${SOVERSION}
)
# Dependencies
find_package(Qt6 ${QT_REQUIRED_VERSION} NO_MODULE REQUIRED Core Widgets)

# Required KDE Frameworks
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)

if (NOT WIN32)
    find_package(KF6WidgetsAddons ${KF_MIN_VERSION} REQUIRED)
    find_package(KF6TextWidgets ${KF_MIN_VERSION} REQUIRED)

    # Optional KDE Frameworks
    find_package(KF6Wallet ${KF_MIN_VERSION})
    set_package_properties(KF6Wallet PROPERTIES DESCRIPTION "Safe desktop-wide storage for passwords" TYPE OPTIONAL
        PURPOSE "Required to have permanent storage of passwords for scanners"
    )

    # Check if sane API is available.
    find_package(${KSANECORE_NAME} "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)
    add_subdirectory(src)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
        add_subdirectory(tests)
    endif()
else ()
    add_subdirectory(ksanetwain)
endif()

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_KEYWORDS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_STRICT_ITERATORS
)
add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F02
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

# Create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KFSaneConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}Config.cmake"
  INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/${KSANEWIDGETS_CMAKECONFIG_NAME}ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT
  KSaneWidgetsTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE ${KSANEWIDGETS_CMAKECONFIG_NAME}Targets.cmake
  NAMESPACE ${TARGET_EXPORT_NAMESPACE_NAME}
)

install(FILES
  "${ksane_version_header}"
  DESTINATION ${KSANEWIDGETS_INSTALL_INCLUDEDIR}
  COMPONENT Devel
)

ki18n_install(po)

# =======================================================

# To prevent warnings from M$ compiler
IF(WIN32 AND MSVC)
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_ATL_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_AFX_SECURE_NO_WARNINGS)
ENDIF(WIN32 AND MSVC)

# =======================================================

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libksane (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:50:07 +0000

libksane (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:23:15 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 24.12.1~),
+               libksanecore-dev (>= 24.12.3~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.03.90

=== debian/changelog ===
libksane (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: libksane
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16.0~),
+               extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6textwidgets-dev (>= 5.240.0~),
-               libkf6wallet-dev (>= 5.240.0~),
-               libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 24.12.3~),
+               libkf6i18n-dev (>= 6.0.0~),
+               libkf6textwidgets-dev (>= 6.0.0~),
+               libkf6wallet-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.0.0~),
+               libksanecore-dev (>= 24.05~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
 
 Package: libksane-data
 Architecture: all

## libksane 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump required version of libksanecore-dev build dependency to >=
    25.04.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 09:14:22 +0200

libksane (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf6textwidgets-dev (>= 6.0.0~),
                libkf6wallet-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libksanecore-dev (>= 24.05~),
+               libksanecore-dev (>= 25.04~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.04.2

=== debian/changelog ===
libksane (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:00:24 +0100

libksane (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:17:26 +0100

libksane (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:02:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: libksane
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Scarlett Moore <sgmoore@kde.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16.0~),
-               extra-cmake-modules (>= 6.0.0~),
+               extra-cmake-modules (>= 5.240.0~),
                gettext,
-               libkf6i18n-dev (>= 6.0.0~),
-               libkf6textwidgets-dev (>= 6.0.0~),
-               libkf6wallet-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
-               libksanecore-dev (>= 25.04~),
+               libkf6i18n-dev (>= 5.240.0~),
+               libkf6textwidgets-dev (>= 5.240.0~),
+               libkf6wallet-dev (>= 5.240.0~),
+               libkf6widgetsaddons-dev (>= 5.240.0~),
+               libksanecore-dev (>= 25.04.2~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,
                qt6-base-dev (>= 6.4.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/graphics/libksane
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksane
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksane.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
 
 Package: libksane-data
 Architecture: all

## libksane 25.04.3

=== debian/changelog ===
libksane (25.04.3-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 18:31:43 +0000

libksane (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:57:56 +0000

libksane (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:06:39 +0000

libksane (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:48:31 +0000

libksane (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:03:51 +0000

libksane (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:32:51 +0000

libksane (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:01:58 +0000

libksane (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:53:39 +0000

libksane (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:48:38 +0000

libksane (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:05:07 +0000

libksane (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:36:49 +0000

libksane (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:08:31 +0000

libksane (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:01:02 +0000

libksane (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:42:48 +0000

libksane (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:02:55 +0000

libksane (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:46:43 +0000

libksane (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:36:55 +0000

libksane (24.01.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:15:58 +0000

libkf5sane (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:36:45 +0000

libkf5sane (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:53:58 +0000

libkf5sane (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:20:45 +0000

libkf5sane (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:24:50 +0000

libkf5sane (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:03:58 +0000

libkf5sane (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:52:08 +0000

libkf5sane (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:30:35 +0000

libkf5sane (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:04:24 +0000

libkf5sane (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:10:54 +0000

libkf5sane (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:32:37 +0000

libkf5sane (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:48:15 +0000

libkf5sane (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:21:21 +0000

libkf5sane (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:42:32 +0000

libkf5sane (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:42:32 +0000

libkf5sane (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:49:57 +0000

libkf5sane (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:04:34 +0000

libkf5sane (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:57:29 +0000

libkf5sane (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:19 +0000

libkf5sane (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 13:40:05 +0000

libkf5sane (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:04 +0000

libkf5sane (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:30 +0000

libkf5sane (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:49 +0000

libkf5sane (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:40 +0000

libkf5sane (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:33 +0000

libkf5sane (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:24 +0000

libkf5sane (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:50 +0000

libkf5sane (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:15:47 +0000

libkf5sane (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:19 +0000

libkf5sane (20.12.0-0neon) focal; urgency=medium

  * New release



## libksane 25.07.80

=== debian/changelog ===
libksane (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:25:17 +0100

libksane (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:55:19 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.04.2~),
+               libksanecore-dev (>= 25.07.80~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.07.90

=== tests/CMakeLists.txt ===

option(COMPILE_VIEWER_TESTAPP "Compile a small test application for the viewer")
if (COMPILE_VIEWER_TESTAPP)
    message("Compile testapp")
    add_executable(viewertest
        ${CMAKE_SOURCE_DIR}/src/selectionitem.cpp
        ${CMAKE_SOURCE_DIR}/src/ksaneviewer.cpp
        ksaneviewertest.cpp
    )
    target_link_libraries(viewertest
        PRIVATE
            KSaneWidget
            KF6::I18n
            KF6::Wallet
            KF6::WidgetsAddons
    )
endif()

=== debian/changelog ===
libksane (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.07.80~),
+               libksanecore-dev (>= 25.07.90~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.08.0

=== debian/changelog ===
libksane (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:59:08 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.07.90~),
+               libksanecore-dev (>= 25.08.0~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.08.0~),
+               libksanecore-dev (>= 25.08.1~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.08.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 07:07:26 +0000

libksane (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:53:17 +0000

libksane (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:10:38 +0000

libksane (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:38:49 +0000

=== debian/control ===
Source: libksane
Section: libs
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-sonnet-dev,
               libksanecore-dev,
               libsane-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://phabricator.kde.org/source/libksane/
Vcs-Git: https://invent.kde.org/neon/kde/libksane.git
Vcs-Browser: https://invent.kde.org/neon/kde/libksane
Maintainer: Neon CI <neon@kde.org>

Package: libksane
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libk6sane6, libk6sane6-data, libkf6sane6-data
Replaces: libk6sane6,
          libk6sane6-data,
          libkf5sane-data (<< 24),
          libkf6sane6-data,
          libksane6-data (<< 24)
Breaks: libkf5sane-data (<< 24), libksane6-data (<< 24)
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

Package: libksane-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: libksane (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Provides: libk6sane6-dev, libkg6sane6-dev
Replaces: libk6sane6-dev, libkg6sane6-dev
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

Package: libksane6-data
Architecture: all
Depends: libksane, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libk6sane6
Architecture: all
Depends: libksane, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libk6sane6-dev
Architecture: all
Depends: libksane-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: lib6ksane6-data
Architecture: all
Depends: libksane, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sane6
Architecture: all
Depends: libksane, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sane6-data
Architecture: all
Depends: libksane, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6sane6-dev
Architecture: all
Depends: libksane-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libksane-([\d.]+).tar.xz

## libksane 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== src/CMakeLists.txt ===
add_library(KSaneWidgets)

set_target_properties(KSaneWidgets PROPERTIES
    VERSION     ${KSANE_VERSION}
    SOVERSION   ${KSANE_SOVERSION}
    EXPORT_NAME ${TARGET_EXPORT_NAME}
    OUTPUT_NAME ${LIBRARYFILE_NAME}
)

target_compile_definitions(KSaneWidgets PRIVATE -DTRANSLATION_DOMAIN=\"libksane\")

if (KF6Wallet_FOUND)
    target_compile_definitions(KSaneWidgets PRIVATE -DHAVE_KWALLET)
    target_link_libraries(KSaneWidgets PRIVATE KF6::Wallet)
endif()

target_sources(KSaneWidgets PRIVATE
    widgets/gammadisp.cpp
    widgets/labeledgamma.cpp
    widgets/labeledcheckbox.cpp
    widgets/labeledentry.cpp
    widgets/labeledcombo.cpp
    widgets/labeledfslider.cpp
    widgets/labeledslider.cpp
    widgets/ksanebutton.cpp
    widgets/ksaneoptionwidget.cpp
    ksaneviewer.cpp
    selectionitem.cpp
    hiderectitem.cpp
    ksanedevicedialog.cpp
    ksanewidget.cpp
    ksanewidget_p.cpp
    splittercollapser.cpp
)

ecm_qt_declare_logging_category(KSaneWidgets
  HEADER ksane_debug.h
  IDENTIFIER KSANE_LOG
  CATEGORY_NAME org.kde.ksane
)

set(_generate_export_header_version_args USE_VERSION_HEADER)

ecm_generate_export_header(KSaneWidgets
    BASE_NAME KSane
    VERSION ${KSANE_VERSION}
    DEPRECATED_BASE_VERSION 0
    ${_generate_export_header_version_args}
)

target_include_directories(KSaneWidgets
    INTERFACE
        "$<INSTALL_INTERFACE:${KSANEWIDGETS_INSTALL_INCLUDEDIR}>"
    PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}/widgets
)

target_link_libraries(KSaneWidgets
    PUBLIC
        Qt6::Core
        Qt6::Gui
        Qt6::Widgets
    PRIVATE
        KF6::I18n
        KF6::WidgetsAddons
        KF6::TextWidgets
        ${KSANECORE_TARGET}
)

ecm_generate_headers(KSane_HEADERS
    HEADER_NAMES
        KSaneWidget
    REQUIRED_HEADERS KSane_HEADERS
    RELATIVE "../src/"
)

# Install files

ecm_install_icons(ICONS
  16-actions-black-white.png
  16-actions-color.png
  16-actions-gray-scale.png
  DESTINATION ${KDE_INSTALL_ICONDIR})

install(TARGETS KSaneWidgets
  EXPORT KSaneWidgetsTargets
  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/ksane_export.h
  ${KSane_HEADERS}
  DESTINATION ${KSANEWIDGETS_INSTALL_INCLUDEDIR}
  COMPONENT Devel
)

=== debian/changelog ===
libksane (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:28:41 +0000

libksane (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:56:35 +0100

=== debian/control ===
Source: libksane
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6i18n-dev (>= 5.240.0~),
               libkf6textwidgets-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libkf6widgetsaddons-dev (>= 5.240.0~),
               libksanecore-dev (>= 25.08.3~),
               libsane-dev,
               libx11-dev,
               libxkbcommon-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/graphics/libksane
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksane

Package: libksane-data
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Breaks: libkf5sane-data,
Replaces: libkf5sane-data,
Description: scanner library (data files)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains data files used by the library.

Package: libksane-dev
Section: libdevel
Architecture: any
Depends: libksanewidgets6-6 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Multi-Arch: same
Description: scanner library development headers
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the scanner library development files.

Package: libksanewidgets6-6
Architecture: any
Multi-Arch: same
Depends: libksane-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: scanner library (runtime)
 The KDE scanner library provides an API and widgets for using scanners and
 other imaging devices supported by SANE.
 .
 This package contains the shared library.

## libksane 25.08.3+p24.04+vunstable+git20251113.0223

=== debian/changelog ===
libksane (25.08.3+p24.04+vunstable+git20251113.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 13 Nov 2025 02:23:11 +0000

libksane (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:47 +1000

## libksane 25.08.3+p24.04+vunstable+git20251123.1001

=== debian/changelog ===
libksane (25.08.3+p24.04+vunstable+git20251123.1001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 10:01:49 +0000

## libksane 25.11.80

=== debian/changelog ===
libksane (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:02:15 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.08.3~),
+               libksanecore-dev (>= 25.11.80~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:16:02 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.11.80~),
+               libksanecore-dev (>= 25.11.90~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Applications version, managed by release script.
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSane VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
libksane (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:35:55 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6textwidgets-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libkf6widgetsaddons-dev (>= 5.240.0~),
-               libksanecore-dev (>= 25.11.90~),
+               libksanecore-dev (>= 25.12.0~),
                libsane-dev,
                libx11-dev,
                libxkbcommon-dev,

## libksane 25.12.0+p24.04+vstable+git20251208.1334

=== debian/changelog ===
libksane (25.12.0+p24.04+vstable+git20251208.1334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:34:23 +0000

libksane (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:46 +1000

## libksane 25.12.0+p24.04+vunstable+git20251208.1336

=== debian/changelog ===
libksane (25.12.0+p24.04+vunstable+git20251208.1336-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:36:55 +0000
